org.jgroups.conf

## Class ProtocolConfiguration

- java.lang.Object
- - org.jgroups.conf.ProtocolConfiguration

-     public class ProtocolConfiguration
      extends java.lang.Object

  Parses and encapsulates the specification for 1 protocol of the protocol stack, e.g. `UNICAST(timeout=5000)`
  Author:
    Bela Ban

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Log` | `log`
    `static java.lang.String` | `protocol_prefix`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProtocolConfiguration(java.lang.String config_str)` Creates a new ProtocolConfiguration.
    `ProtocolConfiguration(java.lang.String protocol_name, java.util.Map<java.lang.String,java.lang.String> properties)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<java.lang.String,java.lang.String>` | `getOriginalProperties()`
    `protected static java.lang.String` | `getParameterString(java.lang.String name, java.lang.String value)`
    `protected static java.lang.String` | `getParameterStringXml(java.lang.String name, java.lang.String val)`
    `java.util.Map<java.lang.String,java.lang.String>` | `getProperties()`
    `java.lang.String` | `getPropertiesString()`
    `java.lang.String` | `getProtocolName()`
    `java.lang.String` | `getProtocolString()`
    `java.lang.String` | `getProtocolString(boolean new_format)`
    `java.lang.String` | `getProtocolStringNewXml()`
    `protected void` | `parsePropertiesString(java.util.Map<java.lang.String,java.lang.String> properties)`
    `java.lang.String` | `propertiesToString()`
    `void` | `substituteVariables()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### protocol_prefix

          public static final java.lang.String protocol_prefix

      See Also:
        Constant Field Values

    - #### log

          public static final Log log

  - ### Constructor Detail

    - #### ProtocolConfiguration

          public ProtocolConfiguration(java.lang.String config_str)
                                throws java.lang.Exception

      Creates a new ProtocolConfiguration.
      Parameters:
        `config_str` - The configuration specification for the protocol, e.g.

            VERIFY_SUSPECT(timeout=1500)

      Throws:
        `java.lang.Exception`

    - #### ProtocolConfiguration

          public ProtocolConfiguration(java.lang.String protocol_name,
                               java.util.Map<java.lang.String,java.lang.String> properties)

  - ### Method Detail

    - #### getProtocolName

          public java.lang.String getProtocolName()

    - #### getProperties

          public java.util.Map<java.lang.String,java.lang.String> getProperties()

    - #### getPropertiesString

          public java.lang.String getPropertiesString()

    - #### getOriginalProperties

          public java.util.Map<java.lang.String,java.lang.String> getOriginalProperties()
                                                                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### substituteVariables

          public void substituteVariables()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### propertiesToString

          public java.lang.String propertiesToString()

    - #### getProtocolString

          public java.lang.String getProtocolString(boolean new_format)

    - #### getProtocolString

          public java.lang.String getProtocolString()

    - #### getProtocolStringNewXml

          public java.lang.String getProtocolStringNewXml()

    - #### getParameterString

          protected static java.lang.String getParameterString(java.lang.String name,
                                            java.lang.String value)

    - #### getParameterStringXml

          protected static java.lang.String getParameterStringXml(java.lang.String name,
                                               java.lang.String val)

    - #### parsePropertiesString

          protected void parsePropertiesString(java.util.Map<java.lang.String,java.lang.String> properties)
                                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.